Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1288804 (python-pysegbase) - Review Request: python-pysegbase - 3D graph cut segmentation
Summary: Review Request: python-pysegbase - 3D graph cut segmentation
Keywords:
Status: CLOSED DEFERRED
Alias: python-pysegbase
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-pydicom python-pygco
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2015-12-06 03:10 UTC by Igor Gnatenko
Modified: 2016-04-14 14:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-09 15:22:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Igor Gnatenko 2015-12-06 03:10:38 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-pysegbase.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-pysegbase-1.1.2-1.fc24.src.rpm
Description: Segmentation tools based on the graph cut algorithm.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-08 22:23:56 UTC
This looks like another fatality of gco...

Comment 2 Julien Enselme 2016-01-09 13:29:18 UTC
While building you package in mock, I encountered the following error:
No matching package to install: 'python2-pygco'
No matching package to install: 'python3-pygco'


I think your package requires https://pypi.python.org/pypi/pygco/0.0.5 which is not packaged in fedora yet. Can you please solve this? You can assign me to the review if you want.

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-01-09 14:44:40 UTC
It's usually helpful to read older comments...

Comment 4 Julien Enselme 2016-01-09 15:14:48 UTC
> It's usually helpful to read older comments...

OK, just read the closed deps. From what I understand, this review should be closed as CANTFIX, no?

Comment 5 Zbigniew Jędrzejewski-Szmek 2016-01-09 15:16:23 UTC
I thought so, but I don't know enough about the codebase to decide if gco dependency is mandatory, or can maybe replaced by something else, etc.

Comment 6 Julien Enselme 2016-01-09 15:22:15 UTC
> I don't know enough about the codebase to decide if gco dependency is mandatory, or can maybe replaced by something else, etc.

In that case, I think you should see with the developers of pysegbase. For now, I am closing this review as DEFERRED. Feel free to reopen it once the dependency problem is solved.

Comment 7 Miroslav Jirik 2016-04-14 14:05:05 UTC
Hi, I am the author of pysegbase. I want to confirm that pygco is indeed required to run pysegbase.

pygco package can be installed from pypi with:

pip install pygco

Unfortunately there is no rpm package. :-(

Comment 8 Igor Gnatenko 2016-04-14 14:13:15 UTC
(In reply to Miroslav Jirik from comment #7)
> Hi, I am the author of pysegbase. I want to confirm that pygco is indeed
> required to run pysegbase.
> 
> pygco package can be installed from pypi with:
> 
> pip install pygco
> 
> Unfortunately there is no rpm package. :-(

problem with gco itself. Read https://bugzilla.redhat.com/show_bug.cgi?id=1288766


Note You need to log in before you can comment on or make changes to this bug.